#ifndef _KVALSETHDR_
#define _KVALSETHDR_

/*******************************************************************************
* FILE NAME: kvalhdr.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     KValueSetHandler       - Creates and manages a value set control         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of KASEWORKS                                 *
*   (C) Copyright KASEWORKS, Inc 1993                                          *
*   All Rights Reserved                                                        *
*                                                                              *
*******************************************************************************/

#ifndef _IHDR_
   #include <ihandler.hpp>
#endif

#ifndef _IEVENT_
   #include <ievent.hpp>
#endif

#ifndef KWCONSTANTS
   #include <kwconst.hpp>
#endif

#pragma pack(4)

class _Export KValueSetHandler : public IHandler
{
  protected:
    virtual Boolean dispatchHandlerEvent(IEvent &evt);

    virtual Boolean initDrag  (IEvent &evt) { return false; }
    virtual Boolean dragOver  (IEvent &evt) { return false; }
    virtual Boolean dragLeave (IEvent &evt) { return false; }
    virtual Boolean drop      (IEvent &evt) { return false; }
    virtual Boolean dropHelp  (IEvent &evt) { return false; }
    virtual Boolean Help      (IEvent &evt) { return false; }

}; // KValueSetHandler

#pragma pack()

#endif /* _KVALSETHANDLER_ */
